cdac.medinfo.sdk.hl7282.baselibs.segments

## Class CDO

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.segments.Segment
  - - cdac.medinfo.sdk.hl7282.baselibs.segments.CDO

- All Implemented Interfaces:
    ISegment

      public class CDO
      extends Segment

  CDO - Cumulative Dosage Segment. The Cumulative Dosage segment allows for the communication of cumulative dosage limits that administrations against this medication order should stay within. As part of one of the pharmacy messages, one may want to indicate one or more limits that apply, e.g., limit for the duration of the order, lifetime limit, or weekly limit.

  Represents an HL7 CDO message segment. This segment has the following fields:

  CDO-1: Set ID - CDO (SI)Optional
  CDO-2: Action Code (ID)Optional
  CDO-3: Cumulative Dosage Limit (CQ)Optional
  CDO-4: Cumulative Dosage Limit Time Interval (CQ)Optional
  This class provides mechanism to validate message against HL7 v 2.8.2 standard. The class provides accessors & mutators for the elements mentioned above. The class has validate method which validates Message against HL7 v 2.8.2 standard.

  User can also create Segment through `SegmentFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CDO()` Constructs the ABS segment.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ID` | `getActionCode()` Retrieves the Action Code.
    `CQ` | `getCumulativeDosageLimit()` Retrieves the Cumulative Dosage Limit.
    `CQ` | `getCumulativeDosageLimitTimeInterval()` Retrieves the Cumulative Dosage Limit Time Interval.
    `SI` | `getSetID_CDO()` Retrieves the Set ID CDO.
    `void` | `setActionCode(ID objActionCode)` Set the Action Code.
    `void` | `setActionCode(java.lang.String strActionCode)` Set the Action Code.
    `void` | `setCumulativeDosageLimit(CQ objCumulativeDosageLimit)` Set the Cumulative Dosage Limit.
    `void` | `setCumulativeDosageLimit(java.lang.String strQuantity, CWE objUnits)` Set the Cumulative Dosage Limit.
    `void` | `setCumulativeDosageLimitTimeInterval(CQ objCumulativeDosageLimitTimeInterval)` Set the Cumulative Dosage Limit Time Interval.
    `void` | `setCumulativeDosageLimitTimeInterval(java.lang.String strQuantity, CWE objUnits)` Set the Cumulative Dosage Limit Time Interval.
    `void` | `setSetID_CDO(SI objSetID_CDO)` Set the Set ID CDO.
    `void` | `setSetID_CDO(java.lang.String strSetID_CDO)` ` Set the Set ID CDO.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.segments.Segment

      `addUnRecognizedField, dumpSegment, getFields, getName, getUnrecognizedFields, moveToNextSegment, parse, removeDataElement, removeDataElement, serialize, setName, setUnRecognizedField, updateDataElement, updateDataElement, validate, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CDO

          public CDO()

      Constructs the ABS segment.

  - ### Method Detail

    - #### getSetID_CDO

          public SI getSetID_CDO()

      Retrieves the Set ID CDO. For the first cumulative dose specification transmitted, the sequence number shall be 1; for the second cumulative dose, it shall be 2; and so on.
      Returns:
        String - setID_CDO

    - #### setSetID_CDO

          public void setSetID_CDO(java.lang.String strSetID_CDO)

      ` Set the Set ID CDO. For the first cumulative dose specification transmitted, the sequence number shall be 1; for the second cumulative dose, it shall be 2; and so on.
      Parameters:
        `strSetID_CDO` - This field contains the number that identifies CDO transaction.

    - #### setSetID_CDO

          public void setSetID_CDO(SI objSetID_CDO)

      Set the Set ID CDO. For the first cumulative dose specification transmitted, the sequence number shall be 1; for the second cumulative dose, it shall be 2; and so on.
      Parameters:
        `objSetID_CDO` - Object of Set ID CDO.

    - #### getActionCode

          public ID getActionCode()

      Retrieves the Action Code. The Action Code indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.
      Returns:
        ID - ActionCode indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.

    - #### setActionCode

          public void setActionCode(java.lang.String strActionCode)

      Set the Action Code. The Action Code indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.
      Parameters:
        `strActionCode` - This field identifies indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.

    - #### setActionCode

          public void setActionCode(ID objActionCode)

      Set the Action Code. The Action Code indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.
      Parameters:
        `objActionCode` - This field indicates whether the cumulative dosage segment is intended to be added, deleted, updated, or did not change.

    - #### getCumulativeDosageLimit

          public CQ getCumulativeDosageLimit()

      Retrieves the Cumulative Dosage Limit. The Cumulative Dosage indicates the total dosage that may be administered within the scope of this order or within the interval indicated in CDO-4 Cumulative Dosage Time Interval, if supplied
      Returns:
        CQ - Cumulative Dosage Limit

    - #### setCumulativeDosageLimit

          public void setCumulativeDosageLimit(java.lang.String strQuantity,
                                      CWE objUnits)

      Set the Cumulative Dosage Limit. The Cumulative Dosage indicates the total dosage that may be administered within the scope of this order or within the interval indicated in CDO-4 Cumulative Dosage Time Interval, if supplied
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setCumulativeDosageLimit

          public void setCumulativeDosageLimit(CQ objCumulativeDosageLimit)

      Set the Cumulative Dosage Limit. The Cumulative Dosage indicates the total dosage that may be administered within the scope of this order or within the interval indicated in CDO-4 Cumulative Dosage Time Interval, if supplied
      Parameters:
        `objCumulativeDosageLimit` - Object of Cumulative Dosage Limit.

    - #### getCumulativeDosageLimitTimeInterval

          public CQ getCumulativeDosageLimitTimeInterval()

      Retrieves the Cumulative Dosage Limit Time Interval. The Cumulative Dosage Time Interval indicates the interval over which the cumulative dosage in CDO-3 Cumulative Dosage Limit is measured. If this field is not valued, the Cumulative Dosage Limit applies to the scope of the order.
      Returns:
        CQ - Cumulative Dosage Limit Time Interval

    - #### setCumulativeDosageLimitTimeInterval

          public void setCumulativeDosageLimitTimeInterval(java.lang.String strQuantity,
                                                  CWE objUnits)

      Set the Cumulative Dosage Limit Time Interval. The Cumulative Dosage Time Interval indicates the interval over which the cumulative dosage in CDO-3 Cumulative Dosage Limit is measured. If this field is not valued, the Cumulative Dosage Limit applies to the scope of the order.
      Parameters:
        `strQuantity` - Specifies the numeric quantity or amount of an entity.
        `objUnits` - Specifies the units in which the quantity is expressed.

    - #### setCumulativeDosageLimitTimeInterval

          public void setCumulativeDosageLimitTimeInterval(CQ objCumulativeDosageLimitTimeInterval)

      Set the Cumulative Dosage Limit Time Interval. The Cumulative Dosage Time Interval indicates the interval over which the cumulative dosage in CDO-3 Cumulative Dosage Limit is measured. If this field is not valued, the Cumulative Dosage Limit applies to the scope of the order.
      Parameters:
        `objCumulativeDosageLimitTimeInterval` - Object of Cumulative Dosage Limit Time Interval.